integrations.sh
← all integrations

onsched.com – setup

OpenAPI apis-guru collaboration

Build secure and scalable custom apps for onboarding and setup. Our flexible API provides many options for configuration.

Take the API for a test drive. Just click on the Authorize button below and authenticate. You can access our demo company profile if you are not a customer, or your own profile by using your assigned ClientId and Secret.

The API has two interfaces, consumer and setup.

  • The consumer interface provides all the endpoints required for implementing consumer booking flows.
  • The setup interface provides endpoints for profile configuration and setup.
Toggle freely between the two interfaces using the swagger tool bar option labelled 'Select a definition'.
Homepage
https://api.apis.guru/v2/specs/onsched.com:setup/v1.json
Provider
onsched.com:setup / setup
OpenAPI version
3.0.1
Spec (JSON)
https://api.apis.guru/v2/specs/onsched.com/setup/v1/openapi.json
Spec (YAML)
https://api.apis.guru/v2/specs/onsched.com/setup/v1/openapi.yaml

Tools (140)

Extracted live via the executor SDK.

  • appointments.getSetupV1Appointments

    Use this endpoint to return a List of Appointments. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further. For more information:

  • appointments.getSetupV1AppointmentsId

    Use this endpoint to return an Appointment object. A valid appointment id is required. Find appointment id's by using the GET​/setup​/v1​/appointments endpoint.

  • appointments.putSetupV1AppointmentsIdReassignResourceResourceId

    Use this endpoint to Reassign an appointment from one resource to another. The result returned is a single appointment that was reassigned to the target resource. A valid appointment id and resource id is required. Find appointment id's by using the GET /setup/v1/appointments endpoint, find resource id's by using the GET ​/setup​/v1​/resources endpoint.

  • businessUsers.deleteSetupV1BusinessusersId

    Use this endpoint to permanently Delete a Business User. A valid businessUser id is required.

  • businessUsers.getSetupV1Businessusers

    Use this endpoint to return a List of Business Users and their Roles. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • businessUsers.getSetupV1BusinessusersEmailCompanies

    Use this endpoint to return a List of Companies associated with the business users email requested. A business user email address is required. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • businessUsers.getSetupV1BusinessusersId

    Use this endpoint to return a Business User object. A valid businessUser id is required. Find businessUser id's using the GET /setup/v1/businessusers endpoint.

  • businessUsers.getSetupV1BusinessusersPermissions

    Use this endpoint to return a List of Business User Permissions by Role. Results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • businessUsers.postSetupV1Businessusers

    Use this endpoint to Create a Business User. If not specified, the business location defaults to the primary business location.

    Required fields: Name, Email and RoleNote: If the businessUser is a bookable resource (bizresource) then a resourceId is required.

    For role, use one of the values listed. Business Roles Include: bizowner (Business Owner), bizadmin (Business Administrator), bizresource (Business User - Bookable Resource).

    The sendRegistrationInvite parameter is available to API consumers for their own use. It provides no added functionality in OnSched.

  • businessUsers.putSetupV1BusinessusersId

    Use this endpoint to Update a Business User. A valid businessUser id is required.

    Business Roles Include: bizowner (Business Owner), bizadmin (Business Administrator), bizresource (Business User - Bookable Resource).

  • calendars.deleteSetupV1CalendarsBlockId

    Use this endpoint to permanently Delete a calendar block. A valid calendarBlock id is required.

  • calendars.deleteSetupV1CalendarsId

    Use this endpoint to Delete a calendar object. A valid calendar id is required. The calendar is not permanently deleted and can be recovered by using the PUT ​/setup​/v1​/calendars​/{id}​/recover endpoint.

  • calendars.getSetupV1Calendars

    Use this endpoint to return a List of Calendars from the requested location. If not specified, the business location defaults to the primary business location.

  • calendars.getSetupV1CalendarsBlocksId

    Use this endpoint to return a Calendar Block. A valid calendarBlock id is required.

  • calendars.getSetupV1CalendarsId

    Use this endpoint to return a Calendar object. A valid calendar id is required.

  • calendars.getSetupV1CalendarsIdBlocks

    Use this endpoint to return a List of Calendar Blocks for the requested calendar. A valid calendar id is required.

  • calendars.getSetupV1CalendarsIdServices

    Use this endpoint to return a List of Linked Services of a calendar object. A valid calendar id is required. Find calendar id's by using the GET /setup/v1/calendars endpoint.

  • calendars.postSetupV1Calendars

    DEPRECATING: Create Calendar

    We are no longer supporting Multiple Calendar Functionality as it is part of our Legacy Application and has no relevance in the API.

  • calendars.postSetupV1CalendarsIdBlock

    Use this endpoint to Create a Calendar Block. A valid calendar id is required.

    Required fields: startDate, endDate, startTime, endTime and reason.

    Calendar blocks can be set to specific time ranges or for the whole day. Th block a whole day set the startTime to 0 and endTime to 2400.

    Calendar blocks can be for a specific date range instance or set to repeat at a specified frequency.

    Repeat object: (repeats = true)

    The frequency can be set to a value of D, W or M for Day, Week or Month respectively.

    Use the interval property to specify the interval that the block repeats. For example, an interval of 2 for a weekly block means that the block will repeat every 2nd week beginning at the day specified. A daily block with an interval of 10 means the block will repeat every 10 days. The interval property applies to all repeat frequencies. If using the repeat functionality an interval value is required.

    DAILY BLOCKS: Will repeat for each day of the week for the date range specified for the interval specified. An interval value of “1” repeats every day, and an interval value of “3” is every 3rd day.

    WEEKLY BLOCKS: Will repeat only on the specified days of the week for the date range specified. For weekly the frequency is required and should be set to “W”. You must specify the weekdays parameter. Weekdays are expressed as a string of digits with each single digit in the string representing a day of the week. The possible values are 0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday. For example, a weekly frequency with an interval of “1”, and an entry of weekdays = “24”, will repeat each week on Tuesday and Thursday for the duration of the block date range.

    MONTHLY BLOCKS: Will repeat either on the day of the month specified in the monthDay property or on the day of the week and week of the month specified by the monthType property. In both cases frequency is required and should be set to “M”, monthly, monthDay is the day of the month you want blocked. If monthDay=’15’ this means to block the 15th of every month in the date range requested. Using monthDay in conjunction with monthType addresses “day of the week and week of the month” scenario. There are two possible values for monthType: D for Day of Month or W for Week of Month. For monthType D, monthDay value must be between 1 and 31. It is the day of the month to repeat on. For monthType M, monthDay value contains 2 digits: day of week (0-6), (0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday) and week of month (1-5). 1 being the first week, 2 being the second. The third Thursday of the month is depicted as a monthType=”M” and monthDay=”43”.

    Repeats will end on the date specified by the end date.

  • calendars.putSetupV1CalendarsBlockId

    Use this endpoint to Create a Calendar Block. A valid calendarBlock id is required. Refer to the POST ​/setup​/v1​/calendars​/{id}​/block endpoint for fieldnames and details.

  • calendars.putSetupV1CalendarsId

    Use this endpoint to Update a calendar object. A valid calendar id is required. When your company was created a calendar object was automatically created with 24-hour weekly availability. Its name = Main, the type = resource and by default the interval = 30 mins. We are currently supporting resource calendar type. Other types were part of our Legacy Application and has no relevance in the API product.

  • calendars.putSetupV1CalendarsIdRecover

    Use this endpoint to Recover a previously deleted calendar object. A valid calendar id is required.

  • companies.deleteSetupV1CompaniesDomainsId

    Use this endpoint to Delete an OnSchedJs domain from your authorized company. A valid companyDomain id is required.

  • companies.deleteSetupV1CompaniesEmailTemplatesMaster

    Use this endpoint to Delete Custom Master Email Template Settings. Deleting a custom master email template setting will reactivate the original default OnSched template settings.

  • companies.deleteSetupV1CompaniesRegionsId

    Use this endpoint to Delete a region object. A valid region id is required. If the region is related to any business locations it won't be deleted. You must first remove any references to region id from the business locations prior to deleting.

  • companies.getSetupV1Companies

    Use this endpoint to return the Authorized Company information. The company is the main entity that oversees all business locations defined below it, hierarchically.

    Access to the company credentials gives you access to all business locations defined in the authorized company. Client credentials resolve to a single company and are purposely hidden from this endpoint.

  • companies.getSetupV1CompaniesDomains

    Use this endpoint to return a List of Company Domains for the authorized company. To share the OnSchedJS booking widget on your website or in your application your domain must be listed.

  • companies.getSetupV1CompaniesDomainsId

    Use this endpoint to return a Company Domain object. A valid companyDomain id is required.

  • companies.getSetupV1CompaniesEmailTemplates

    Use this endpoint to return a List of Email Templates that are provided and may be customized. If the template has been customized, the customized property is true. The scope parameter indicates if the email template has been customized at the Business Location level or Company level. This endpoint returns only company level templates, so the scope is always company.

  • companies.getSetupV1CompaniesEmailTemplatesMaster

    Use this endpoint to return the Master Email Template Settings. Settings exist for showing or hiding email panels and for changing color schemes.

  • companies.getSetupV1CompaniesEmailTemplatesTemplateName

    Use this endpoint to return the requested Email Template. If it wasn't customized the default template is returned. The response content is in html format. A valid emailTemplate name is required. Find template names by using the: GET ​/setup​/v1​/companies​/email​/templates endpoint. Note: The master template cannot be accessed here.

    To create custom company email templates, go to the POST ​/setup​/v1​/locations​/{id}​/email​/templates endpoint and create a template using the Primary Business Location Id.

  • companies.getSetupV1CompaniesRegions

    Use this endpoint to return a list of Regions in the authorized company. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • companies.getSetupV1CompaniesRegionsId

    Use this endpoint to return a Region object. A valid region id is required.

  • companies.getSetupV1CompaniesTimezonesDate

    Use this endpoint to return a List of timezone names, timezoneIana and tzOffset values calculated for the date requested. Daylight Savings may or may not apply depending on the date specified.

  • companies.postSetupV1Companies

    Use this endpoint to Create a new authorized company.

    Note: Special API Partner credentials are required to access this endpoint.

    The name, registrationEmail, phone, country and timezoneName are required fields. For country use the standard ISO 3166 2-character country code.

    The timezoneName must be expressed as an IANA Timezone e.g., America/New_York.

    For more information:

  • companies.postSetupV1CompaniesDomains

    Use this endpoint to Create an OnSchedJs domain for your authorized company. To share the OnSchedJS booking widget on your website or in your application you must add the domain.

  • companies.postSetupV1CompaniesEmailTemplatesMaster

    Use this endpoint to Create Custom Master Email Template Settings. Settings exist for showing or hiding email panels and for changing color schemes. Use the GET ​/setup​/v1​/companies​/email​/templates endpoint to display the settings offered. Changes to the Master Template Settings will be reflected in all business locations associated with this company.

    The email template endpoints work a little differently than most. There are no endpoints to update the templates, we use the post endpoint to create a custom template instead. This endpoint creates a new custom Master Template Settings file that will be used instead. If you delete it you are deleting the custom template settings you created and the original default Master Template created by OnSched would be reactivated.

  • companies.postSetupV1CompaniesRegions

    Use this endpoint to Create a region object. Regions can be mapped to business locations. They can be used by the locations endpoints to filter locations by region id.

  • companies.putSetupV1Companies

    Use this endpoint to Update the authorized company information. Your client credentials resolve to a single company. The timezoneName must be expressed as an IANA Timezone, e.g., America/New_York.

    For more information:

  • companies.putSetupV1CompaniesDomainsId

    Use this endpoint to Update an OnSchedJs domain for your authorized company. A valid companyDomain id is required.

  • companies.putSetupV1CompaniesRegionsId

    Use this endpoint to Update a region object. A valid region id is required.

  • customers.getSetupV1Customers

    Use this endpoint to return a List of Customers. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • customers.getSetupV1CustomersId

    Use this endpoint to return a Customer object. A valid customer id is required. Find customer id's by using the GET /setup/v1/customers endpoint.

  • customers.getSetupV1CustomersIdPrivacy

    Use this endpoint to return the Customer object. A valid customer id is required. Find customer id's using the GET /setup/v1/customers endpoint.

  • locations.deleteSetupV1LocationsId

    Use this endpoint to Delete a business location. A valid business location id is required. The location is not permanently deleted and can be recovered by using the PUT /setup​/v1​/locations​/{id}​/recover endpoint.

  • locations.deleteSetupV1LocationsIdDeleteallimages

    Use this endpoint to Delete All location images from the location blob storage container. An option exists to use upper case for matching the subdirectory name. Legacy apps stored pics using upper case while the API uses lower case names.

  • locations.deleteSetupV1LocationsIdDeleteimage

    Use this endpoint to Delete a previously uploaded location image. A valid business location id is required.

  • locations.deleteSetupV1LocationsIdEmailTemplatesMaster

    Use this endpoint to Delete Custom Master Email Template Settings. A valid business location id is required. Deleting a custom master email template will reactivate the original default OnSched template settings.

  • locations.deleteSetupV1LocationsIdEmailTemplatesTemplateName

    Use this endpoint to Delete a Custom Email Template that was previously created. A valid business location id and email templateName are required. Deleting a custom email template will revert the template back to its default originally created by OnSched. Changes will be reflected in all business locations associated with this company.

    The email template endpoints work a little differently than most. When you delete you are deleting the custom template you created, and the original default Email Template created by OnSched will be reactivated.

  • locations.deleteSetupV1LocationsIdGoogleServiceAccount

    Use this endpoint to Delete authorized access to all google calendar users in your organization. Upon deletion Google Calendars will no longer be synced for resources.

  • locations.deleteSetupV1LocationsIdServices

    Use this endpoint to Delete All location linked services from a business location. A valid business location id is required.

  • locations.deleteSetupV1LocationsServicesId

    Use this endpoint to Unlink a location service from a business location. A valid locationService id is required. Find location services by using the GET ​/setup​/v1​/locations​/{id}​/services endpoint.

  • locations.getSetupV1Locations

    Use this endpoint to List Business Locations associated with your company. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

    IMPORTANT DEPRECATION NOTICE: The following online settings parameters were intended for internal use in our Portal application only. They will be deprecated on OCTOBER 15, 2022. These fields are currently part of the SETTINGS object in all location endpoints: businessId, enabled, familyMembersEnabled, serviceLabel, resourceLabel, resourceAnyLabel, resourceSelection, liveMode, formFlow, availabilityForm, showServiceGroups, showOnSchedLogo, showBusinessLogo, disableAuthorization, hideNavBar, hideLocationNav, hideServiceGroupsNav, hideServicesNav, hideContinueBooking, returnToService, returnToAvailability, hideBreadCrumbNav. If you are using these fields, please adjust your code to handle the deprecation or let us know by submitting a ticket to: support@onsched.com as we do not want to interrupt your existing workflows.

  • locations.getSetupV1LocationsId

    Use this endpoint to return a Location object. A valid location id is required. If not specified, the business location defaults to the primary business location. Find all business location id's, by using the GET /consumer/v1/locations endpoint.

    IMPORTANT DEPRECATION NOTICE: The following online settings parameters were intended for internal use in our Portal application only. They will be deprecated on OCTOBER 15, 2022. These fields are currently part of the SETTINGS object in all location endpoints: businessId, enabled, familyMembersEnabled, serviceLabel, resourceLabel, resourceAnyLabel, resourceSelection, liveMode, formFlow, availabilityForm, showServiceGroups, showOnSchedLogo, showBusinessLogo, disableAuthorization, hideNavBar, hideLocationNav, hideServiceGroupsNav, hideServicesNav, hideContinueBooking, returnToService, returnToAvailability, hideBreadCrumbNav. If you are using these fields, please adjust your code to handle the deprecation or let us know by submitting a ticket to: support@onsched.com as we do not want to interrupt your existing workflows.

  • locations.getSetupV1LocationsIdAppointmentreminders

    Use this endpoint to Get Email and SMS appointment reminder settings for the requested location. A valid business location id is required.

  • locations.getSetupV1LocationsIdEmailTemplates

    Use this endpoint to return a List of Email Templates that are provided and may be customized. If the template has been customized, the customized property is true. The scope parameter indicates if the email template has been customized. This endpoint returns only company level templates, so the scope is always company.

  • locations.getSetupV1LocationsIdEmailTemplatesMaster

    Use this endpoint to get Master Email Template Settings. A valid business location id is required. Settings exist for showing or hiding panels and for changing color schemes.

  • locations.getSetupV1LocationsIdEmailTemplatesTemplateName

    Use this endpoint to return the requested Email Template. The template is from the primary business location. If it wasn't customized the default template is returned. The response content is in html format. A valid emailTemplate name is required. Find template names by using the GET ​/setup​/v1​/locations​/{id}​/email​/templates endpoint. Note: The master template cannot be accessed here.

  • locations.getSetupV1LocationsIdServices

    Use this endpoint to return a list of Location Linked Services. A valid business location id is required. By default, there are no location linked services attached to a location. Refer to the: POST /setup​/v1​/locations​/{id}​/services for details. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • locations.getSetupV1LocationsServicesId

    Use this endpoint to Get a Linked Service. A valid locationService id is required.

  • locations.postSetupV1Locations

    Use this endpoint to Create a new business location. The result is a business location object with a GUID assigned to the location.

    The name and timezoneName fields are required. The timezoneName must be expressed as an IANA Timezone e.g., America/New_York. Refer to: for a listing of IANA time zones.

    Business hours are set by defining the startTime and endTime values for each day available/open. All days of the week must be provided when setting availability. Days are defined as sun, mon, tue, wed, thu, fri and sat. Start and End Times are entered in military format. e.g., 800 is 8:00am, 2230 is 10:30pm. If there is no physical location and the business hours are irrelevant, set the hours to open 24 hours by setting startTime=0 and endTime=2400. To set a whole day as unavailable, set both the startTime and endTime to 0.

    Settings can be set here. Booking timer minutes, book ahead restrictions and customer bookings per day are all available here. Please read about the settings scope parameter before setting these values as it may simplify your process.

    Settings Scope can be set to the company or the business location level. You can have all locations use the same company level settings or individual business locations can define their own, business location scope. If you want to use the company settings throughout all locations, do not pass in settings element. To create business location scoped settings, pass in the settings element with the field values defined in the post body.

    Appointment Reminders Reminder values are used to define how many hours, days, or weeks (interval value) prior to the appointment to send the reminder. Interval values are used to define the reminder interval: 1 = Hours, 2 = Days and 3 = Weeks. The reminder fields are numbers. If you are using the hours interval, use a number from 1 to 24.

    Example 1: emailFirstReminder: 1, emailFirstReminderInterval: 2 - results in 1st reminder being sent 1 Day before the appointment time.

    Example 2: emailSecondReminder: 3, emailSecondReminderInterval: 1 - results in 2nd reminder being sent 3 Hours before the appointment time.

    IMPORTANT DEPRECATION NOTICE: The following online settings parameters were intended for internal use in our Portal application only. They will be deprecated on OCTOBER 15, 2022. These fields are currently part of the SETTINGS object in all location endpoints: businessId, enabled, familyMembersEnabled, serviceLabel, resourceLabel, resourceAnyLabel, resourceSelection, liveMode, formFlow, availabilityForm, showServiceGroups, showOnSchedLogo, showBusinessLogo, disableAuthorization, hideNavBar, hideLocationNav, hideServiceGroupsNav, hideServicesNav, hideContinueBooking, returnToService, returnToAvailability, hideBreadCrumbNav. If you are using these fields, please adjust your code to handle the deprecation or let us know by submitting a ticket to: support@onsched.com as we do not want to interrupt your existing workflows.

  • locations.postSetupV1LocationsBulk

    Use this endpoint to Create Bulk business locations. The posted list of locations cannot exceed 100 location objects per transaction for performance purposes. The result is a list of new business location objects with a GUID assigned to each location.

    The name and timezoneName fields are required. The timezoneName must be expressed as an IANA Timezone e.g., America/New_York. Refer to: for a listing of IANA time zones.

    Business hours are set by defining the startTime and endTime values for each day available/open. All days of the week must be provided when setting availability. Days are defined as sun, mon, tue, wed, thu, fri and sat. Start and End Times are entered in military format. e.g., 800 is 8:00am, 2230 is 10:30pm. If there is no physical location and the business hours are irrelevant, set the hours to open 24 hours by setting startTime=0 and endTime=2400. To set a whole day as unavailable, set both the startTime and endTime to 0.

    Settings can be set here. Booking timer minutes, book ahead restrictions and customer bookings per day are all available here. Please read about the settings scope parameter before setting these values as it may simplify your process.

    Settings Scope can be set to the company or the business location level. You can have all locations use the same company level settings or individual business locations can define their own, business location scope. If you want to use the company settings throughout all locations, do not pass in settings element. To create business location scoped settings, pass in the settings element with the field values defined in the post body.

    Appointment Reminders Reminder values are used to define how many hours, days, or weeks (interval value) prior to the appointment to send the reminder. Interval values are used to define the reminder interval: 1 = Hours, 2 = Days and 3 = Weeks. The reminder fields are numbers. If you are using the hours interval, use a number from 1 to 24.

    Example 1: emailFirstReminder: 1, emailFirstReminderInterval: 2 - results in 1st reminder being sent 1 Day before the appointment time.

    Example 2: emailSecondReminder: 3, emailSecondReminderInterval: 1 - results in 2nd reminder being sent 3 Hours before the appointment time.

    IMPORTANT DEPRECATION NOTICE: The following online settings parameters were intended for internal use in our Portal application only. They will be deprecated on OCTOBER 15, 2022. These fields are currently part of the SETTINGS object in all location endpoints: businessId, enabled, familyMembersEnabled, serviceLabel, resourceLabel, resourceAnyLabel, resourceSelection, liveMode, formFlow, availabilityForm, showServiceGroups, showOnSchedLogo, showBusinessLogo, disableAuthorization, hideNavBar, hideLocationNav, hideServiceGroupsNav, hideServicesNav, hideContinueBooking, returnToService, returnToAvailability, hideBreadCrumbNav. If you are using these fields, please adjust your code to handle the deprecation or let us know by submitting a ticket to: support@onsched.com as we do not want to interrupt your existing workflows.

  • locations.postSetupV1LocationsIdEmailTemplates

    Use this endpoint to a Create a Custom Email Template. You must convert the content to a base64 encoded string. Updates to the primary business location create company scoped custom templates. Updates to non-primary business locations create business location scoped custom templates. The master template cannot be updated with this endpoint.

    The email template endpoints work a little differently than most. There are no endpoints to update the templates, we use the post endpoint to create a custom template instead. This endpoint creates a new email template that will be used instead. If you delete it, you are deleting the custom template you created and the original default template created by OnSched will be reactivated.

  • locations.postSetupV1LocationsIdEmailTemplatesMaster

    Use this endpoint to Create Custom Master Email Template Settings. A valid business location id is required. Settings exist for showing or hiding email panels and for changing color schemes. Use the GET ​/setup​/v1​/locations​/{id}​/email​/templates​/masterSettings endpoint to display the settings offered. Changes to the Master Template Settings will be reflected in all business locations associated with this company.

    The email template endpoints work a little differently than most. There are no endpoints to update the templates, we use the post endpoint to create a custom template instead. This endpoint creates a new custom Master Template Settings file that will be used instead. If you delete it, you are deleting the custom template settings you created and the original default Master Template created by OnSched would be reactivated.

  • locations.postSetupV1LocationsIdGoogleServiceAccount

    Use this endpoint to Authorize Access to google calendar users in your organization. You must create/have a Google Service account as an admin of your GSuite, then save the credentials as a Json Key file. This Json Key and a valid business location id are required.

  • locations.postSetupV1LocationsIdServices

    Use this endpoint to Link Services to a location object. A valid business location id is required. By default, there are no services linked to a location.

    Services are definable globally at the Company level and associated with the Primary Business Location, or at a Secondary Business Location. When accessing the Services endpoints, by default, API consumers are provided with a combined list of Services defined from both the Primary and Secondary Business Location.

    If necessary, the list of Service(s) provided can be cherry-picked/linked to only include specific Service(s) by using this endpoint. This allows for a subset of defined Services to be provided for a location.

    Supplying the list of services ids to cherry-pick/link to the location in the request body will explicitly define which Primary Location Services are offered by the specified business location.

  • locations.postSetupV1LocationsIdUploadimage

    Use this endpoint to Upload an image to a location object. A valid business location id is required. You must convert the image to a base64 encoded string and pass that string as input along with your filename.

  • locations.putSetupV1LocationsId

    Use this endpoint to Update a business location object. A valid business location id is required. The optional removeRegion query parameter can be used to remove the region relationship from the location.

    If the settings element is populated the scope will be set to the business location with the settings supplied. If your settings are uniform across all locations, then do not supply the settings element and the location will use the settings defined on the primary business location (company scoped). Company scoped settings cascade down to the locations. You can override any location that needs different settings by providing settings in the update model. Use the PUT /setup/v1/locations/{id}/settings/scope/{settingsScope} endpoint to change the settings scope only. This is typically used when switching from business location scope back to company.

    Refer to: POST ​/setup​/v1​/locations endpoint for details.

  • locations.putSetupV1LocationsIdAppointmentreminders

    Use this endpoint to Update Email and SMS appointment reminder settings for the requested location. A valid business location id is required.

    Appointment Reminders Reminder values are used to define how many hours, days, or weeks (interval value) prior to the appointment to send the reminder. Interval values are used to define the reminder interval: 1 = Hours, 2 = Days and 3 = Weeks. The reminder fields are numbers. If you are using the hours interval, use a number from 1 to 24.

    Example 1: emailFirstReminder: 1, emailFirstReminderInterval: 2 - results in 1st reminder being sent 1 Day before the appointment time.

    Example 2: emailSecondReminder: 3, emailSecondReminderInterval: 1 - results in 2nd reminder being sent 3 Hours before the appointment time.

  • locations.putSetupV1LocationsIdHolidaysHolidayIdClosed

    Use this endpoint to Update Business Holidays as Opened or Closed. A valid business location id is required. If not specified, the business location defaults to the primary business location.

    Holidays are automatically defined with the initial Post Location endpoint and are based on country code. Find your location holiday codes by using the: GET /setup​/v1​/locations​/{id} endpoint. Change your holidays to open or closed by passing in the holidayId along with the closed boolean value to change the status of a specific holiday. Pass in an asterisk * for the holidayId then all business holidays will be set as defined.

    *
  • locations.putSetupV1LocationsIdRecover

    Use this endpoint to Recover a deleted business location. A valid business location id is required.

  • locations.putSetupV1LocationsIdSettingsScopeSettingsScope

    Use this endpoint to Update a business locations online booking settings scope. A valid business location id is required.

    settingsScope values are 0 = company scope, 1 = business location scope. To inherit the online settings defined in the primary business location, then use value = 0 for company scope. Otherwise, to override the settings for a specific location then use value = 1 for business location scope. Note: You cannot change the settings scope of the Primary Business Location.

  • resourceGroups.deleteSetupV1ResourcegroupsId

    Use this endpoint to Delete a resourceGroup object. A valid resourceGroup id is required. The resource group is not permanently deleted and can be recovered by using the PUT ​/setup​/v1​/resourcegroups​/{id}​/recover endpoint.

  • resourceGroups.getSetupV1Resourcegroups

    Use this endpoint to List Resource Groups for the specified location. If not specified, the business location defaults to the primary business location. Name is a required field.

    Use the offset and limit parameters to control the page start and size. Default offset is 0, limit is 20, maximum is 100. Use the query parameters to filter the results further.

  • resourceGroups.getSetupV1ResourcegroupsId

    Use this endpoint to return a Resource Group object. A valid resourceGroup id is required. Find resourceGroup id's by using the GET setup/v1/resourceGroups endpoint.

  • resourceGroups.postSetupV1Resourcegroups

    Use this endpoint to Create a resourceGroup object. Resource groups are used to categorize your resources.

  • resourceGroups.putSetupV1ResourcegroupsId

    Use this endpoint to Update a resourceGroup object. A valid resourceGroup id is required.

  • resourceGroups.putSetupV1ResourcegroupsIdRecover

    Use this endpoint to Recover a deleted resourceGroup object. A valid resourceGroup id is required.

  • resources.deleteSetupV1ResourcesAllocationsId

    Use this endpoint to Delete a Resource Allocation. A valid resourceAllocation id is required.

  • resources.deleteSetupV1ResourcesBlockId

    Use this endpoint to Delete a Resource Block. A valid resourceBlock id is required.

  • resources.deleteSetupV1ResourcesId

    Use this endpoint to Delete a resource. The resource is not permanently deleted and can be recovered. A valid resource id is required.

  • resources.deleteSetupV1ResourcesIdDeleteimage

    Use this endpoint to permanently Delete a previously uploaded resource image. A valid resource id is required.

  • resources.deleteSetupV1ResourcesIdServices

    Use this endpoint to Delete linked services from a Resource, i.e. unlink the services. A valid resource id is required. Once deleted, all services become available to the resource.

  • resources.getSetupV1Resources

    Use this endpoint to return a List of Resources. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • resources.getSetupV1ResourcesAllocationsId

    Use this endpoint to return a Resource Allocation. A valid resourceAllocation id is required.

  • resources.getSetupV1ResourcesBlocksId

    Use this endpoint to Get a Resource Block. A valid resourceBlock id is required.

  • resources.getSetupV1ResourcesId

    Use this endpoint to return a Resource object. A valid resource id is required. Find resource id's by using the: GET /setup/v1/resources endpoint.

  • resources.getSetupV1ResourcesIdAllocations

    Use this endpoint to return a list of Resource Allocations for a specified resource. We recommend using allocations if a resource's schedule changes frequently from day to day or week to week. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • resources.getSetupV1ResourcesIdAvailability

    Use this endpoint to view the Weekly Availability for a resource. The displayed available times are represented in the resource's timezone. The resource timezone can be set to any world timezone. If not provided, by default it is set to the Business timezone.

  • resources.getSetupV1ResourcesIdBlocks

    Use this endpoint to return a list of Resource Blocks. A valid resource id is required. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • resources.getSetupV1ResourcesIdCalendarAuthGoogleGoogleEmailAddress

    Use this endpoint to return the Resources Google Calendar Authorization URL. A valid resource id and Google Email Address are required.

  • resources.getSetupV1ResourcesIdCalendarAuthOutlookOutlookEmailAddress

    Use this endpoint to return the Resources Outlook Calendar Authorization URL. A valid resource id and Outlook Email Address are required.

  • resources.getSetupV1ResourcesTimezones

    Use this endpoint to return a List of Time Zones.

  • resources.postSetupV1Resources

    Use this endpoint to Create a new resource.

    Required Fields: Email Address and Name

    Providing a single or many serviceId(s) in the service array will result the resource explicitly being available to provide those services only. While passing in an empty array will result in all services being available to the resources. This includes all company and business scoped services. See the POST ​/setup​/v1​/resources​/{id}​/services endpoint for details about explicitly linking services.

    Set the resource availability type by using the recurringAvailability flag. Set recurringAvailability to True for Weekly Availability or False for Resource Allocations.

  • resources.postSetupV1ResourcesBulk

    Use this endpoint to Bulk Create resources. Valid resource ids are required. The posted list of resources cannot exceed 100 resource objects per transaction for performance purposes.

    Required Fields: Email Address and Name

    Providing a single or many serviceId(s) in the service array will result the resource explicitly being available to provide those services only. While passing in an empty array will result in all services being available to the resources. This includes all company and business scoped services. See the POST ​/setup​/v1​/resources​/{id}​/services endpoint for details about explicitly linking services.

    Set the resource availability type by using the recurringAvailability flag. Set recurringAvailability to True for Weekly Availability or False for Resource Allocations.

  • resources.postSetupV1ResourcesIdAllocations

    Use this endpoint to Create a resource allocation for a resource. A valid resource id is required.

    Required fields: startDate, endDate, startTime, endTime and reason. Resource allocations can be set to specific time ranges or for the whole day by setting startTime=0 and endTime=2400. They can repeat for a specific date range instance or set to repeat at a specified frequency.

    Repeat object: (repeats = true)

    The frequency can be set to a value of D, W or M for Day, Week or Month respectively.

    Use the interval property to specify the interval that the allocation repeats. For example, an interval of 2 for a weekly allocation means that the allocation will repeat every 2nd week beginning at the day specified. A daily allocation with an interval of 10 means the allocation will repeat every 10 days. The interval property applies to all repeat frequencies. If using the repeat functionality an interval value is required.

    DAILY ALLOCATIONS: Will repeat for each day of the week for the date range specified for the interval specified. An interval value of “1” repeats every day, and an interval value of “3” is every 3rd day.

    WEEKLY ALLOCATIONS: Will repeat only on the specified days of the week for the date range specified. For weekly the frequency is required and should be set to “W”. You must specify the “weekdays” parameter. Weekdays are expressed as a string of digits with each single digit in the string representing a day of the week. The possible values are 0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday. For example, a weekly frequency with an interval of “1”, and an entry of weekdays = “24”, will repeat each week on Tuesday and Thursday for the duration of the allocation date range.

    MONTHLY ALLOCATIONS: Will repeat either on the day of the month specified in the monthDay property or on the day of the week and week of the month specified by the monthType property. In both cases frequency is required and should be set to “M”, monthly. monthDay is the day of the month you want allocated. If monthDay=’15’ this means to allocate the 15th of every month in the date range requested. Using monthDay in conjunction with monthType addresses “day of the week and week of the month” scenario. There are two possible values for monthType: D for Day of Month or W for Week of Month. For monthType D, monthDay value must be between 1 and 31. It is the day of the month to repeat on. For monthType M, monthDay value contains 2 digits: day of week (0-6), (0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday) and week of month (1-5). 1 being the first week, 2 being the second. The third Thursday of the month is depicted as a monthType=”M” and monthDay=”43”.

    Repeats will end on the date specified by the end date.

  • resources.postSetupV1ResourcesIdBlock

    Use this endpoint to Create a Resource Block. A valid resource id is required.

    Required fields: startDate, endDate, startTime, endTime and reason.

    Resource blocks can be set to specific time ranges or for the whole day. Use the AllDay setting to create an all-day block. AllDay will automatically set startTime to 0 and endTime to 2400.

    Resource blocks can be for a specific date range instance or set to repeat at a specified frequency.

    Repeat object: (repeats = true)

    The frequency can be set to a value of D, W or M for Day, Week or Month respectively.

    Use the interval property to specify the interval that the block repeats. For example, an interval of 2 for a weekly block means that the block will repeat every 2nd week beginning at the day specified. A daily block with an interval of 10 means the block will repeat every 10 days. The interval property applies to all repeat frequencies. If using the repeat functionality an interval value is required.

    DAILY BLOCKS: Will repeat for each day of the week for the date range specified for the interval specified. An interval value of “1” repeats every day, and an interval value of “3” is every 3rd day.

    WEEKLY BLOCKS: Will repeat only on the specified days of the week for the date range specified. For weekly the frequency is required and should be set to “W”. You must specify the weekdays parameter. Weekdays are expressed as a string of digits with each single digit in the string representing a day of the week. The possible values are 0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday. For example, a weekly frequency with an interval of “1”, and an entry of weekdays = “24”, will repeat each week on Tuesday and Thursday for the duration of the block date range.

    MONTHLY BLOCKS: Will repeat either on the day of the month specified in the monthDay property or on the day of the week and week of the month specified by the monthType property. In both cases frequency is required and should be set to “M”, monthly, monthDay is the day of the month you want blocked. If monthDay=’15’ this means to block the 15th of every month in the date range requested. Using monthDay in conjunction with monthType addresses “day of the week and week of the month” scenario. There are two possible values for monthType: D for Day of Month or W for Week of Month. For monthType D, monthDay value must be between 1 and 31. It is the day of the month to repeat on. For monthType M, monthDay value contains 2 digits: day of week (0-6), (0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday) and week of month (1-5). 1 being the first week, 2 being the second. The third Thursday of the month is depicted as a monthType=”M” and monthDay=”43”.

    Repeats will end on the date specified by the end date.

  • resources.postSetupV1ResourcesIdServices

    Use this endpoint to explicitly Link Services to a Resource. A valid resource id is required.

    Note: By default, the services array is empty which signifies that all services are provided by the resource. Linking services here will add to the linked service(s) array available to this resource. This will limit the services available to the resource.

    You cannot post services that already exist in the array, you can only add new ones. Use the PUT ​/setup​/v1​/resources​/{id}​/services endpoint to update the entire list.

  • resources.postSetupV1ResourcesIdUploadimage

    Use this endpoint to Upload a resource image to the resource. A valid resource id is required. You must convert the image to a base64 encoded string and pass that string as input along with your filename.

  • resources.putSetupV1ResourcesAllocationsId

    Use this endpoint to Update a resource allocation. A valid resourceAllocation id is required. Refer to the POST /setup/v1/resources/{id}/allocations endpoint for details.

  • resources.putSetupV1ResourcesBlockId

    Use this endpoint to Update a Resource Block. A valid resourceBlock id is required. Refer to the POST ​/setup​/v1​/resources​/{id}​/block endpoint for fieldnames and details.

  • resources.putSetupV1ResourcesBulk

    Use this endpoint to Bulk Update resources. Valid resource id's are required. The list of resources cannot exceed 100 resource objects per transaction for performance purposes.

    Required Fields: Email Address and Name

    Providing a single or many serviceId(s) in the service array will result the resource explicitly being available to provide those services only. While passing in an empty array will result in all services being available to the resources. This includes all company and business scoped services. See the POST ​/setup​/v1​/resources​/{id}​/services endpoint for details about explicitly linking services.

    Set the resource availability type by using the recurringAvailability flag. Set recurringAvailability to True for Weekly Availability or False for Resource Allocations.

  • resources.putSetupV1ResourcesId

    Use this endpoint to Update a resource. A valid resource id is required.

    Required Fields: Email Address and Name

    Providing a single or many serviceId(s) in the service array will result the resource explicitly being available to provide those services only. While passing in an empty array will result in all services being available to the resources. This includes all company and business scoped services. See the POST ​/setup​/v1​/resources​/{id}​/services endpoint for details about explicitly linking services.

    Set the resource availability type by using the recurringAvailability flag. Set recurringAvailability to True for Weekly Availability or False for Resource Allocations.

  • resources.putSetupV1ResourcesIdAvailability

    Use this endpoint to Update resource weekly availability. A valid resource id is required. The availability day entries are created when a resource object is created.

    To update weekly availability hours, all days of the week must be provided. Days are defined as sun, mon, tue, wed, thu, fri and sat. The startTime and endTime fields are entered in military format. e.g., 800 is 8:00am, 2230 is 10:30pm. We support 24-hour availability, set startTime=0 and endTime=2400. To set a whole day as unavailable, set both the startTime and endTime to 0.

    If you require times in between specified hours to be unavailable, use the resource blocks endpoints. Times entered represent the timezone of the resource. Resources can be set to any world timezone.

  • resources.putSetupV1ResourcesIdReassignAppointmentsResourceId

    Use this endpoint to Reassign appointments from one resource to another. If the startDate is not supplied, the default is today's date + 1 day; If the endDate is not supplied, all future appointments from the start date will be reassigned. If the calendar id is not supplied the default is the primary calendar of the location.

  • resources.putSetupV1ResourcesIdRecover

    Use this endpoint to Recover a deleted resource. A valid resource id is required.

  • resources.putSetupV1ResourcesIdServices

    Use this endpoint to Update the linked services of a Resource. A valid resource id is required.

    Updating services with this endpoint will update the linked services available to the resource. Only those services will be available to the resource.

    Note: This is a destructive process, any existing linked services will be removed and replaced with the list of services supplied here. Provide the resources complete list of services when using this endpoint.

  • serviceGroups.deleteSetupV1ServicegroupsId

    Use this endpoint to Delete a Service Group object. A valid serviceGroup id is required. The service group is not permanently deleted and can be recovered by using the PUT ​/setup​/v1​/servicegroups​/{id}​/recover endpoint.

  • serviceGroups.getSetupV1Servicegroups

    Use this endpoint to return a list of Service Groups for the requested location. If no business location is specified it will default to the Primary Business Location of the company. Use the offset and limit parameters to control the page start and size. Default offset is 0, limit is 20, maximum is 100. Use the other query parameters to filter the results further.

  • serviceGroups.getSetupV1ServicegroupsId

    Use this endpoint to return a Service Group object. A valid serviceGroup id is required. Find service group id's by using the GET /setup/v1/serviceGroups endpoint.

  • serviceGroups.postSetupV1Servicegroups

    Use this endpoint to Create a Service Group. If no locationId is specified in the body, the business location will default to the primary business location. Service groups are used to categorize services. Service groups are optional and only make sense if you have multiple services that will be easier read if categorized. Only the service group Type of 0 is supported by the API. It defaults to 0 if not supplied.

  • serviceGroups.putSetupV1ServicegroupsId

    Use this endpoint to Update a Service Group object. A valid serviceGroup id is required.

  • serviceGroups.putSetupV1ServicegroupsIdRecover

    Use this endpoint to Recover a deleted Service Group. A valid serviceGroup id is required.

  • services.deleteSetupV1ServicesAllocationsId

    Use this endpoint to permanently Delete a service allocation. A valid serviceAllocation id is required.

  • services.deleteSetupV1ServicesBlockId

    Use this endpoint to permanently Delete a Service Block. A valid serviceBlock id is required.

  • services.deleteSetupV1ServicesCalendarId

    Use this endpoint to Delete service links from the calendar specified. A valid calendar id is required.

  • services.deleteSetupV1ServicesId

    Use this endpoint to Delete a service object. A valid service id is required. The service is not permanently deleted and can be recovered by using the PUT /setup​/v1​/services​/{id}​/recover endpoint.

  • services.deleteSetupV1ServicesIdDeleteimage

    Use this endpoint to permanently Delete a previously uploaded service image. A valid service id is required.

  • services.getSetupV1Services

    Use this endpoint to return a List of Service. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • services.getSetupV1ServicesAllocationsId

    Use this endpoint to Get a Service Allocation. A valid serviceAllocation id is required.

  • services.getSetupV1ServicesBlocksId

    Use this endpoint to Get a Service Block. A valid serviceBlock id is required.

  • services.getSetupV1ServicesId

    Use this endpoint to return a Service object. A valid service id is required. Find service id's by using the GET /setup/v1/services endpoint.

  • services.getSetupV1ServicesIdAllocations

    Use this endpoint to return a List of Service Allocations for a specified service. A valid service id is required. Service allocations are used for Event type services only where the events are offered on specific dates and times. Retrieve all allocations for a location by passing in 0 as the service id.

    The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • services.getSetupV1ServicesIdAvailability

    Use this endpoint to return the Weekly Service Availability for an appointment service. A valid service id is required. Weekly availability is returned for services where the Type = 1. For event type services, where service Type = 2, refer to the GET ​/setup​/v1​/services​/{id}​/allocations endpoint.

  • services.getSetupV1ServicesIdBlocks

    Use this endpoint to return a list of Service Blocks. The results are returned in pages. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • services.getSetupV1ServicesIdCalendar

    Use this endpoint to Get the Linked Calendar for the service requested. A valid service id is required. A service can only be linked to one calendar in a location.

  • services.getSetupV1ServicesIdResources

    Use this endpoint to return a list of Resources that provide the requested service. A valid service id is required. Use the offset and limit parameters to control the page start and number of results. Default offset is 0, limit is 20, max is 100. Use the query parameters to filter the results further.

  • services.postSetupV1Services

    Use this endpoint to Create a new service. If not specified, the business location defaults to the primary business location. Note: Posting a service to the Primary Business Location will scope as company scoped and make the service available to all locations. If you want a service to only be available from a specific location, include the business location id.

    Required fields: Name and Duration

    The service Type is either, 1 = Appointment or 2 = Event. Default is 1 if not specified.

    For type = 1, Appointments - Create an availability entry for each weekday to provide the service for. All days of the week must be provided when adding service availability. Days are defined as sun, mon, tue, wed, thu, fri and sat. Start and End Times are entered in military format. e.g., 800 is 8:00am, 2230 is 10:30pm. If not provided, it defaults to the primary location business hours.

    We support 24-hour availability, set startTime=0 and endTime=2400. To set a whole day as unavailable, set both the startTime and endTime to 0. If you require times in between specified hours to be unavailable, use the service block endpoint at: POST ​/setup​/v1​/services​/{id}​/block.

    For type = 2, Events - Create service allocations for their availability. Refer to the: POST /setup​/v1​/services​/{id}​/allocations to set up service allocations for the event.

    Options are available for customer selected durations, for details:

    Additional parameters include but are not limited to bookingLimit, maxCapacity and maxGroupSize. For details:

  • services.postSetupV1ServicesCalendar

    Use this endpoint to Link a Service to a calendar.

  • services.postSetupV1ServicesIdAllocations

    Use this endpoint to Create a service allocation for a service. A valid service id is required. Service allocations are used for Event type services only. Service allocations allow you to specify the time(s) a service is available as opposed to using weekly availability which represents a weekly schedule, ie: Mon-Fri 9am-5pm.

    Required fields: startDate, endDate, startTime, endTime and reason. Service allocations can be set to specific time ranges or for the whole day by setting startTime=0 and endTime=2400. Service allocations can repeat for a specific date range instance or set to repeat at a specified frequency.

    Repeat object: (repeats = true)

    The frequency can be set to a value of D, W or M for Day, Week or Month respectively.

    Use the interval property to specify the interval that the allocation repeats. For example, an interval of 2 for a weekly allocation means that the allocation will repeat every 2nd week beginning at the day specified. A daily allocation with an interval of 10 means the allocation will repeat every 10 days. The interval property applies to all repeat frequencies. If using the repeat functionality an interval value is required.

    DAILY ALLOCATIONS: Will repeat for each day of the week for the date range specified for the interval specified. An interval value of “1” repeats every day, and an interval value of “3” is every 3rd day.

    WEEKLY ALLOCATIONS: Will repeat only on the specified days of the week for the date range specified. For weekly the frequency is required and should be set to “W”. You must specify the “weekdays” parameter. Weekdays are expressed as a string of digits with each single digit in the string representing a day of the week. The possible values are 0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday. For example, a weekly frequency with an interval of “1”, and an entry of weekdays = “24”, will repeat each week on Tuesday and Thursday for the duration of the allocation date range.

    MONTHLY ALLOCATIONS: Will repeat either on the day of the month specified in the monthDay property or on the day of the week and week of the month specified by the monthType property. In both cases frequency is required and should be set to “M”, monthly. monthDay is the day of the month you want allocated. If monthDay=’15’ this means to allocate the 15th of every month in the date range requested. Using monthDay in conjunction with monthType addresses “day of the week and week of the month” scenario. There are two possible values for monthType: D for Day of Month or W for Week of Month. For monthType D, monthDay value must be between 1 and 31. It is the day of the month to repeat on. For monthType M, monthDay value contains 2 digits: day of week (0-6), (0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday) and week of month (1-5). 1 being the first week, 2 being the second. The third Thursday of the month is depicted as a monthType=”M” and monthDay=”43”.

    Repeats will end on the date specified by the end date.

  • services.postSetupV1ServicesIdAllocationsBulk

    Use this endpoint to Create bulk service allocations. A valid service id is required. Use this endpoint only if you need to POST multiple service allocations in one transaction. For details refer to: Post Service Allocation [blocked]

  • services.postSetupV1ServicesIdBlock

    Use this endpoint to Create a Service Block. A valid service id is required.

    Required fields: startDate, endDate, startTime, endTime and reason.

    Service blocks can be set to specific time ranges or for the whole day. To block a whole day set startTime to 0 and endTime to 2400.

    Service blocks can be for a specific date range instance or set to repeat at a specified frequency.

    Repeat object: (repeats = true)

    The frequency can be set to a value of D, W or M for Day, Week or Month respectively.

    Use the interval property to specify the interval that the block repeats. For example, an interval of 2 for a weekly block means that the block will repeat every 2nd week beginning at the day specified. A daily block with an interval of 10 means the block will repeat every 10 days. The interval property applies to all repeat frequencies. If using the repeat functionality an interval value is required.

    DAILY BLOCKS: Will repeat for each day of the week for the date range specified for the interval specified. An interval value of “1” repeats every day, and an interval value of “3” is every 3rd day.

    WEEKLY BLOCKS: Will repeat only on the specified days of the week for the date range specified. For weekly the frequency is required and should be set to “W”. You must specify the weekdays parameter. Weekdays are expressed as a string of digits with each single digit in the string representing a day of the week. The possible values are 0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday. For example, a weekly frequency with an interval of “1”, and an entry of weekdays = “24”, will repeat each week on Tuesday and Thursday for the duration of the block date range.

    MONTHLY BLOCKS: Will repeat either on the day of the month specified in the monthDay property or on the day of the week and week of the month specified by the monthType property. In both cases frequency is required and should be set to “M”, monthly, monthDay is the day of the month you want blocked. If monthDay=’15’ this means to block the 15th of every month in the date range requested. Using monthDay in conjunction with monthType addresses “day of the week and week of the month” scenario. There are two possible values for monthType: D for Day of Month or W for Week of Month. For monthType D, monthDay value must be between 1 and 31. It is the day of the month to repeat on. For monthType M, monthDay value contains 2 digits: day of week (0-6), (0,1,2,3,4,5,6 where 0=Sunday, 1=Monday, 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday) and week of month (1-5). 1 being the first week, 2 being the second. The third Thursday of the month is depicted as a monthType=”M” and monthDay=”43”.

    Repeats will end on the date specified by the end date.

  • services.postSetupV1ServicesIdUploadimage

    Use this endpoint to Upload an image to the service. A valid service id is required. You must convert the image to a base64 encoded string and pass that string as input along with your filename.

  • services.putSetupV1ServicesAllocationsId

    Use this endpoint to Update a service allocation. A valid serviceAllocation id is required. Refer to the POST /setup/v1/services/{id}/allocations endpoint for fields names and details.

  • services.putSetupV1ServicesBlockId

    Use this endpoint to Update a Service Block. A valid serviceBlock id is required.

  • services.putSetupV1ServicesId

    Use this endpoint to Update a service object. A valid service id is required.

  • services.putSetupV1ServicesIdAvailability

    Use this endpoint to Update service weekly availability. A valid service id is required. The availability day entries are created when a service object is created.

    To update weekly availability hours, all days of the week must be provided. Days are defined as sun, mon, tue, wed, thu, fri and sat. The startTime and endTime fields are entered in military format. e.g., 800 is 8:00am, 2230 is 10:30pm. We support 24-hour availability, set startTime=0 and endTime=2400. To set a whole day as unavailable, set both the startTime and endTime to 0.

    If you require times in between specified hours to be unavailable, use the resource blocks endpoints. Times entered represent the timezone of the business location.

  • services.putSetupV1ServicesIdRecover

    Use this endpoint to Recover a deleted service object. A valid service id is required.

  • openapi.previewSpec

    Preview an OpenAPI document before adding it as a source

  • openapi.addSource

    Add an OpenAPI source and register its operations as tools